Fetch all API versions
Retrieves all available versions of the responding API.
get
Authorizations
AuthorizationstringRequired
You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.
Responses
200
Successful operation.
application/json
namestringOptionalExample:
v2.1swaggerUrlstringOptionalExample:
https://api.ionos.com/databases/postgres/infos/assets/swagger-v2.1.ymldefault
Any erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient permissions), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), 503 (maintenance)
application/json
get/infos/versions
GET /databases/postgresql/infos/versions HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
[
{
"name": "v2.1",
"swaggerUrl": "https://api.ionos.com/databases/postgres/infos/assets/swagger-v2.1.yml"
}
]Last updated
Was this helpful?